Get a person
curl --request GET \
--url https://api.metal.ai/v1/people/{id} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/people/{id}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/people/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"firstName": "Jordan",
"lastName": "Rivera",
"email": "jordan@example.com",
"currentTitle": "Chief Executive Officer",
"currentCompanyName": "<string>",
"company": "<string>",
"linkedinUrl": "<string>",
"phoneNumber": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"externalId": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"enrichment": {
"subsector": [
{
"value": "Self-Funded Health Insurance / Third Party Administrator (TPA)",
"source": "CIM",
"confidence": 100,
"pinned": true,
"discoveredAt": "2026-02-14T10:00:00Z"
},
{
"value": "Third-Party Administrators (TPAs)",
"source": "Market Report",
"confidence": 57,
"pinned": false,
"discoveredAt": "2026-01-20T10:00:00Z"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Get a person
Retrieves a single person by id.
GET
/
v1
/
people
/
{id}
Get a person
curl --request GET \
--url https://api.metal.ai/v1/people/{id} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/people/{id}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/people/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"firstName": "Jordan",
"lastName": "Rivera",
"email": "jordan@example.com",
"currentTitle": "Chief Executive Officer",
"currentCompanyName": "<string>",
"company": "<string>",
"linkedinUrl": "<string>",
"phoneNumber": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"externalId": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"enrichment": {
"subsector": [
{
"value": "Self-Funded Health Insurance / Third Party Administrator (TPA)",
"source": "CIM",
"confidence": 100,
"pinned": true,
"discoveredAt": "2026-02-14T10:00:00Z"
},
{
"value": "Third-Party Administrators (TPAs)",
"source": "Market Report",
"confidence": 57,
"pinned": false,
"discoveredAt": "2026-01-20T10:00:00Z"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The person id.
Response
A person.
A person record. Attributes such as currentTitle, currentCompanyName, and linkedinUrl can be populated by enrichment; the enrichment field exposes the discovered values and citations behind each reconciled attribute. See the Enrichment and Reconciliation & ranking guides.
Show child attributes
Show child attributes
Related topics
MCP tools referenceMetal MCP serverGet a person by external referenceDelete a personUpdate a person⌘I

